Bug 195004 - system-config-httpd is not fully localized although translation is 100% (all_lang)
system-config-httpd is not fully localized although translation is 100% (all_...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-httpd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
: StringChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-14 09:14 EDT by Ankit Patel
Modified: 2015-03-04 20:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 11:38:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ankit Patel 2006-06-14 09:14:50 EDT
Description of problem:
Basic Setup, Host Information, Directory Page Search List, Error Pages, SSL
Configuration, Transfer Log, Error Log, Set for CGI Script, Pass to CGI Script,
Unset for CGI Scripts, Order, Options, Deny List, Allow List, Directory,
Servers, Connections, Requests per Connection Messages are in English

Version-Release number of selected component (if applicable):
1.3.3-1.1

How reproducible:
Everytime

Steps to Reproduce:
1. Run "system-config-httpd" in any native language
2. Check for the mentioned messages
3.
  
Actual results:
Messages are displaying in English

Expected results:
Messages should be displayed in native language

Additional info:
Comment 1 Ankit Patel 2006-09-12 08:59:34 EDT
Even though translation is fully done for my language (gu-IN), it's not showing
the mentioned messages in my language...
Comment 2 Ankit Patel 2006-10-04 05:29:30 EDT
Ping
Comment 3 Phil Knirsch 2006-10-19 11:02:03 EDT
Thats a problem with the strings themselves. In order for them to show bold in
the GUI the are actually like this:

<b>Directory Page Search List</b>

and so won't be matched by the entries in the translation files.

The only 2 options would be to either make them not bold or to change all
translation files to additionally contain those special chars.

I'll see what i can do about it.

Read ya, Phil
Comment 4 Phil Knirsch 2006-10-23 11:30:15 EDT
OK, found a possible fix for this problem, but i need to fix all translation
files for that to work, so it'll take a few days.

Read ya, Phil
Comment 5 Phil Knirsch 2006-10-25 11:38:51 EDT
Ok, s-c-h-1.4.0-1 and later contain fixed translations for all strings. I've
verified it with a few selected ones and it works nicely there, so i expect the
rest to be working as well.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.